FROM jboss/wildfly:9.0.2.Final
ADD https://gitlab.com/mobiletw/Gerente.tw-Docker/raw/master/Wildfly-Master/host-custom.xml /opt/jboss/wildfly/domain/configuration/host-custom.xml
ADD https://gitlab.com/mobiletw/Gerente.tw-Docker/raw/master/Wildfly-Master/domain-custom.xml /opt/jboss/wildfly/domain/configuration/domain-custom.xml
RUN mkdir -p /opt/jboss/wildfly/domain/servers/server-one/data/config/
RUN echo "ambiente-desenvolvimento=true" > /opt/jboss/wildfly/domain/servers/server-one/data/config/system.properties
RUN sed -i -- 's/JAVA_OPTS="-Xms64m -Xmx512m -XX:MaxPermSize=512m /JAVA_OPTS="-Xms64m -Xmx64m /g' /opt/jboss/wildfly/bin/domain.conf
RUN echo "JAVA_OPTS=\"\${JAVA_OPTS} -server -XX:+UseG1GC -XX:+UseLargePages -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000 \"" >> /opt/jboss/wildfly/bin/domain.conf
USER root
RUN chown jboss.jboss /opt/jboss/wildfly/domain/configuration/domain-custom.xml
RUN chmod 644 /opt/jboss/wildfly/domain/configuration/domain-custom.xml
RUN chown jboss.jboss /opt/jboss/wildfly/domain/configuration/host-custom.xml
RUN chmod 644 /opt/jboss/wildfly/domain/configuration/host-custom.xml
USER jboss
RUN /opt/jboss/wildfly/bin/add-user.sh supervisor twadmin --silent
RUN /opt/jboss/wildfly/bin/add-user.sh slave twadmin --silent
CMD ["/opt/jboss/wildfly/bin/domain.sh", "--domain-config=domain-custom.xml", "--host-config=host-custom.xml", "-b", "0.0.0.0", "-bmanagement", "0.0.0.0"]
